## livecd-rootfs 2.542

=== debian/changelog ===
livecd-rootfs (2.542) cosmic; urgency=medium

  * Decide what model assertion series to fetch depending on the suite. Use 16
    for xenial and 18 for other series (bionic+). This enables core18 image
    builds.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 03 Oct 2018 11:51:59 +0200

livecd-rootfs (2.541) cosmic; urgency=medium

  [ Michael Hudson-Doyle ]
  * Remove device nodes from Docker images. (LP: #1645468) 

  [ Robert C Jennings ]
  * Add the server snap seed to the ubuntu-cpc project
  * Allow hooks to replace generic snap assertion

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Sep 2018 15:21:49 -0700

livecd-rootfs (2.540) cosmic; urgency=medium

  * Ensure /lib/modules exists in root tarballs and sqashfs.
    (LP: #1792905)

 -- Tobias Koch <tobias.koch@canonical.com>  Thu, 20 Sep 2018 09:38:34 +0200

livecd-rootfs (2.539) cosmic; urgency=medium

  * Stop building buildd chroots with --xattrs until we move to python3.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 20 Sep 2018 02:52:10 -0600

livecd-rootfs (2.538) cosmic; urgency=medium

  * Add a buildd subproject.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Sep 2018 16:35:54 +0200

livecd-rootfs (2.537) cosmic; urgency=medium

  * Minimize the number of manually installed packages in images by marking
    dependencies of metapackages as automatically installed.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 18 Sep 2018 08:55:04 +0200

livecd-rootfs (2.536) cosmic; urgency=medium

  * Fix live-server journald config snippet to actually disable journald rate
    limiting.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 28 Aug 2018 11:00:39 +1200

livecd-rootfs (2.535) cosmic; urgency=medium

  * Disentangle enabling universe in the final image a little from having
    PREINSTALLED=true set and enable it for a live-server build.
    (LP: #1783129)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 24 Aug 2018 13:04:51 +1200

livecd-rootfs (2.534) cosmic; urgency=medium

  [ Michael Hudson-Doyle ]
  * Disable journald rate limiting in the live-server live session.
    (LP: #1776891)

  [ Steve Langasek ]
  * generate all tar files with --xattrs.  LP: #1302192.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 06 Aug 2018 13:12:02 -0700

livecd-rootfs (2.533) cosmic; urgency=medium

  [ Robert C Jennings ]
  * ubuntu-cpc: Remove git-man for minimized images 
  * Disable checksum generation

  [ Colin Watson ]
  * live-build/auto/config: Drop "lp-*" hostname filter for Launchpad
    builders, since LP #1747015 is now fixed; "*.buildd" should be enough.

  [ Francis Ginther ]
  * Update unminimize script text and install ubuntu-standard when
    unminimizing a minimal image (LP: #1778777)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 18 Jul 2018 11:06:54 -0600

livecd-rootfs (2.532) cosmic; urgency=medium

  * ubuntu-cpc: Generate the root image contents once, and use it for both the
    -root.tar.xz and the .squashfs.

 -- Daniel Watkins <oddbloke@ubuntu.com>  Thu, 07 Jun 2018 11:11:02 -0700

livecd-rootfs (2.531) cosmic; urgency=medium

  [ Daniel Watkins ]
  * ubuntu-cpc: Use linux-kvm for all amd64 minimized builds (LP: #1775472).

  [ Steve Langasek ]
  * live-build/ubuntu-cpc/hooks/033-disk-image-uefi.binary: don't manually
    install grub-efi-amd64 since that forces off grub-pc, which is otherwise
    now coinstallable.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Jun 2018 17:34:07 -0700

livecd-rootfs (2.530) cosmic; urgency=medium

  * ubuntu-cpc: Reintroduce the -root.tar.xz artifact (LP: #1585233).

 -- Daniel Watkins <oddbloke@ubuntu.com>  Wed, 06 Jun 2018 11:21:57 -0700

livecd-rootfs (2.529) cosmic; urgency=medium

  * Improvements to the ubuntu-base (i.e. Docker) build:
    - Customize the unminimize script to not install ubuntu-minimal.
    - Divert /usr/bin/man to a script that points to the unminimize script.
    - Remove apt lists that are currently removed downstream anyway. 
      (LP: #1699913)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 07 Jun 2018 05:59:12 +1200

livecd-rootfs (2.528) cosmic; urgency=medium

  * Don't divert grub-probe; otherwise we're missing the filesystem UUIDs that
    the grub search command needs to find the right prefix/root. This is
    different than the PARTUUID for booting initrd-less.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 28 May 2018 10:39:09 -0400

livecd-rootfs (2.527) cosmic; urgency=medium

  * Symlink systemd-networkd-wait-online to /bin/true in the live installer
    live session to avoid depending on buggy systemd behaviour.
  * Remove "optional: true" from installer netplan config.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 23 May 2018 14:27:01 +1200

livecd-rootfs (2.526) cosmic; urgency=medium

  * Drop Lubuntu Next now that Lubuntu Next is Lubuntu.
  * Don't follow recommends on Lubuntu now that this is no longer the
    case in the seed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 03 May 2018 23:18:52 -0500
