## livecd-rootfs 2.542.5

=== debian/changelog ===
livecd-rootfs (2.542.5) cosmic; urgency=medium

  * Strip translation files out of the minimal images, another thing that
    goes unused when there is no human console user (and we already don't
    have the locales themselves present on a minimal image).  LP: #1829333.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 May 2019 08:51:17 -0700

livecd-rootfs (2.542.4) cosmic; urgency=medium

  [ Robert C Jennings ]
  * ubuntu-cpc: parallel builds (LP: #1829938)
    - Inject a proxy into the build providing a snapshot view of the package repo.
    - Use series files with dependency handling to generate hook symlinks dynamically

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 21 May 2019 17:20:54 -0700

livecd-rootfs (2.542.3) cosmic; urgency=medium

  * Remove device nodes later for ubuntu-base:minimized (i.e. docker) builds.
    (LP: #1828118)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 08 May 2019 10:48:39 +1200

livecd-rootfs (2.542.2) cosmic; urgency=medium

  * Remove crufty files after minimize-manual (LP: #1826377)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 26 Apr 2019 10:36:33 +0200

livecd-rootfs (2.542.1) cosmic; urgency=medium

  [ Cody Shepherd ]
  * Ensure pre-seeded snaps are now published in the image manifests.
  * Include grub efi packages in manifests for uefi images.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 20 Dec 2018 13:12:42 -0600
