## livecd-rootfs 2.578

=== debian/changelog ===
livecd-rootfs (2.578) disco; urgency=medium

  * Fix the sed script that Tobias had right in the first place and I
    mangled in the previous upload.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 13 Apr 2019 02:13:19 -0700

livecd-rootfs (2.577) disco; urgency=medium

  [ Tobias Koch ]
  * Detect which core snaps are required and install them on-the-fly.
  * If image has core18 snaps only, automatically preseed snapd.

  [ Michael Hudson-Doyle ]
  * Slim down ubuntu-cpc:minimized builds:
    - Do not include any snaps in ubuntu-cpc:minimized builds (erroring if any
      snap other than lxd is seeded).
    - Install the lxd-installer package instead, which installs the lxd snap
      when invoked.
    - Install lxd snap in unminimize.

  [ Balint Reczey ]
  * Pass --sort=name to tar to make tarballs more reproducible and
    rsync-friendly

  [ Steve Langasek ]
  * Adjust sed command for clarity.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2019 13:34:56 -0700

livecd-rootfs (2.576) disco; urgency=medium

  * When the "snap-tool" script encounters a core snap it will switch to
    the "stable" channel if the channel was set to "stable/ubuntu-X.X". This
    ensures that core snaps always come from one canonical source.
  * Running `snap-tool info <snap_name>` will now also print out the base of
    the snap.

 -- Tobias Koch <tobias.koch@canonical.com>  Tue, 09 Apr 2019 17:33:34 +0100

livecd-rootfs (2.575) disco; urgency=medium

  [ Robert C Jennings ]
  * Remove duplicate snap listings in ubuntu-cpc qcow manifest

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 01 Apr 2019 14:29:16 -0400

livecd-rootfs (2.574) disco; urgency=medium

  * Make serial-subiquity@ use the same codepath as tty1 subiquity.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 21 Mar 2019 22:51:04 +0000

livecd-rootfs (2.573) disco; urgency=medium

  * Add languages to live pass
    The name of the pass is live and not "ubuntu-live" which is the live pass
    default task.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 20 Mar 2019 17:10:53 +0100

livecd-rootfs (2.572) disco; urgency=medium

  * Revert "subiquity: fix name of mdoules.squashfs to mount", debian-cd
    has been fixed to to go back to the original name.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 20 Mar 2019 00:57:54 +0000

livecd-rootfs (2.571) disco; urgency=medium

  * subiquity: fix name of mdoules.squashfs to mount

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 18 Mar 2019 14:21:28 +0000

livecd-rootfs (2.570) disco; urgency=medium

  [ Jean-Baptiste Lallement ]
  * Fix grub divert for multilayer images:
    grub-probe must not be called during image build so grub is diverted. In
    multilayer image the chroot is always the tip of the filesystem, so we
    divert grub at the beginning of each pass and undivdert it as the end.
    For flat images, it's diverted just before building the chroot and
    undiverted after.

  [ Didier Roche ]
  * Ensure default langpacks are removed after installation:
    Add langpacks to live tasks to have them in the ubiquity diff file and
    thus, purged after installation if not selected. (LP: #1818890)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 18 Mar 2019 09:58:56 +0100

livecd-rootfs (2.569) disco; urgency=medium

  * Drop /etc/update-motd.d/51-cloudguest from cloud images; this is not
    consistent with current Ubuntu Advantage product language.  Any future
    customizations to update-motd for cloud images should be done via a
    package instead.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Mar 2019 10:05:48 -0700

livecd-rootfs (2.568) disco; urgency=medium

  [ Tobias Koch ]
  * Make sure snap-tool exits with non-zero exit status, if a problem
    occurred.

  [ Steve Langasek ]
  * divert grub when calling into lb chroot, to avoid any problems from
    grub-probe.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2019 18:14:46 -0700

livecd-rootfs (2.567) disco; urgency=medium

  * Fix change to ignore ubiquity packages, it failed to mark anything
    as automatic.

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 27 Feb 2019 09:02:14 +0100

livecd-rootfs (2.566) disco; urgency=medium

  [ Julian Andres Klode ]
  * Do not mark direct dependencies of ubiquity as auto installed. This caused
    cryptsetup to remain auto on the installed system (LP: #1801629)

  [ Tobias Koch ]
  * When the magic-proxy script could not find a valid InRelease file for the
    configured timestamp, it would fall back to serving the canonical version
    of it. This meant that builds would succeed, even though snap-shotting the
    repository failed.
    .
    This update makes the script return HTTP 404 when an InRelease by-hash
    link for a given combination of mirror, suite and timestamp cannot be
    found.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 26 Feb 2019 08:56:02 +0100

livecd-rootfs (2.565) disco; urgency=medium

  * Also drop dependency on python.
  * Drop python3-minimal alternate dependency; nothing should depend on
    python3-minimal.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 Feb 2019 08:26:16 +0100

livecd-rootfs (2.564) disco; urgency=medium

  * Use python3 vmdkstream exclusively; we should not fall back to python2.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Feb 2019 08:28:43 +0100

livecd-rootfs (2.563) disco; urgency=medium

  * Make sure buildd images have a /usr/sbin/policy-rc.d symlink.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 18 Feb 2019 15:57:11 +0000

livecd-rootfs (2.562) disco; urgency=medium

  * subiquity: make subiqutiy_config.mount optional
  * Add python3 vmdkstream support

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 18 Feb 2019 12:01:51 +0100

livecd-rootfs (2.561) disco; urgency=medium

  * Support building pi3-arm64 core18 images. At the same time, make sure we
    still use the right gadget tree repository for the classic arm64 pi3
    image.


