=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 7)
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Standards-Version: 3.9.6
-Vcs-Git: https://git.launchpad.net/livecd-rootfs -b ubuntu/cosmic
+Vcs-Git: https://git.launchpad.net/livecd-rootfs -b ubuntu/master
 
 Package: livecd-rootfs
 Architecture: any
@@ -17,15 +17,17 @@
          gdisk,
          genisoimage,
          germinate (>= 1.25.1),
+         git,
          gnupg,
          grep-dctrl,
          kpartx,
          live-build (>= 3.0~a57-1ubuntu31~),
          lsb-release,
          lzma,
+         make,
          parted,
          procps,
-         python-minimal | python,
+         python3,
          python3-apt,
          python3-software-properties,
          qemu-utils,
@@ -33,8 +35,9 @@
          snapd,
          squashfs-tools (>= 1:3.3-1),
          sudo,
+         u-boot-tools [armhf arm64],
          ubuntu-image,
-         vmdk-stream-converter [amd64 i386],
+         python3-vmdkstream [amd64 i386],
          xz-utils,
          zerofree
 Breaks: ubuntu-defaults-builder (<< 0.32)
