## livecd-rootfs 2.578.10

=== debian/changelog ===
livecd-rootfs (2.578.10) disco; urgency=medium

  * Add support for HyperV Gallery Images (LP: #1837088)

 -- David Krauser <david.krauser@canonical.com>  Wed, 09 Oct 2019 15:13:28 -0400

livecd-rootfs (2.578.9) disco; urgency=medium

  * magic-proxy: dump proxy log to stdout on failure (LP: #1847300)

 -- Robert C Jennings <robert.jennings@canonical.com>  Tue, 08 Oct 2019 10:57:31 -0500

livecd-rootfs (2.578.8) disco; urgency=medium

  * ubuntu-cpc: Only produce explicitly specified artifacts (LP: #1837254)

 -- Robert C Jennings <robert.jennings@canonical.com>  Mon, 26 Aug 2019 16:25:24 -0500

livecd-rootfs (2.578.7) disco; urgency=medium

  [ Tobias Koch ]
  * Add retry logic to snap-tool to make downloads more resilient.
    (LP: #1837871)

 -- Tobias Koch <tobias.koch@canonical.com>  Mon, 26 Aug 2019 13:36:36 +0200

livecd-rootfs (2.578.6) disco; urgency=medium

  [ Tobias Koch ]
  * Do proper error checking when calling snap-tool info to determine
    the base of a snap. (LP: #1828500)

  [ Michael Vogt ]
  * Run "snap debug validate-seed" during preseeding to do basic validation of
    the generated seed.yaml

  [ Iain Lane ]
  * Seed core for non minimized builds, as it is still required (LP:
    #1836594).

 -- Iain Lane <iain.lane@canonical.com>  Tue, 16 Jul 2019 13:20:52 +0100

livecd-rootfs (2.578.5) disco; urgency=medium

  [ Balint Reczey ]
  * Build WSL rootfs tarball (LP: #1827930)

  [ Steve Langasek ]
  * Strip translation files out of the minimal images, another thing that
    goes unused when there is no human console user (and we already don't
    have the locales themselves present on a minimal image).  LP: #1829333.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 May 2019 12:13:55 -0700

livecd-rootfs (2.578.4) disco; urgency=medium

  [ Robert C Jennings ]
  * magic-proxy: Send headers on error (LP: #1829944)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 May 2019 13:33:40 -0700

livecd-rootfs (2.578.3) disco; urgency=medium

  [ Robert C Jennings ]
  * ubuntu-cpc: Ensure base disk image is the same between all build targets
    (LP: #1827426)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 21 May 2019 15:19:34 -0700

livecd-rootfs (2.578.2) disco; urgency=medium

  * Remove device nodes later for ubuntu-base:minimized (i.e. docker) builds.
    (LP: #1828118)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 08 May 2019 09:59:35 +1200

livecd-rootfs (2.578.1) disco; urgency=medium

  * Run clean_debian_chroot after minimize_manual (LP: #1826377)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 26 Apr 2019 10:34:05 +0200
