## livecd-rootfs 2.620

=== debian/changelog ===
livecd-rootfs (2.620) eoan; urgency=medium

  * Limit the lxd group to images with an installer; it's less appropriate
    for random tarball images, which are configured in ways we don't know.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 13 Oct 2019 23:15:02 -0600

livecd-rootfs (2.619) eoan; urgency=medium

  * Subiquity: install linux-firmware in the installer layer, to make
    firmware blobs available in the live session. LP: #1847835

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 13 Oct 2019 20:53:11 +0100

livecd-rootfs (2.618) eoan; urgency=medium

  [ Michael Hudson-Doyle ]
  * Do not create a hook manually for ubuntu-cpc builds, make-hooks does not
    like that.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 08 Oct 2019 21:21:45 -0700

livecd-rootfs (2.617) eoan; urgency=medium

  * Create the lxd group as a system group for all projects. (LP: #1844498)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 09 Oct 2019 10:12:09 +1300

livecd-rootfs (2.616) eoan; urgency=medium

  * Subiquity images mount /usr/lib/modules from a squashfs, which systemd
    tries to unmount on shutdown, whilst they are still being in use. As
    systemd-udevd kmod built-in's libkmod has modules.* files
    memorymapped. This produces an warning on shutdown, flooding the
    screen with messages as systemd switches to a more verbose
    output. Specify LazyUnmount=yes on that mount, such that unmount call
    succeeds without flooding the shutdown log.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Oct 2019 19:05:01 +0100

livecd-rootfs (2.615) eoan; urgency=medium

  * magic-proxy: dump proxy log to stdout on failure

 -- Robert C Jennings <robert.jennings@canonical.com>  Fri, 04 Oct 2019 10:24:18 -0500

livecd-rootfs (2.614) eoan; urgency=medium

  * 002-add-foreign-kernel.chroot_early: enable amd64 as a foreign arch on
    i386 image builds, since this is where the kernel comes from henceforth.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 02 Oct 2019 17:05:32 -0700

livecd-rootfs (2.613) eoan; urgency=medium

  * 999-ubuntu-image-customization.chroot: use IMAGEFORMAT=none for the checks
    instead of ubuntu-image, as that is what is used during ubuntu-image rootfs
    builds.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 19 Sep 2019 11:27:12 +0200

livecd-rootfs (2.612) eoan; urgency=medium

  * Hopefully the last fix for 999-ubuntu-image-customization.chroot: use
    config/chroot to pass IMAGEFORMAT instead of config/common, as only that
    file is updated with the right contents when the chroot hooks are run.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 16 Sep 2019 14:07:01 +0200

livecd-rootfs (2.611) eoan; urgency=medium

  * Execute chroot_hacks in live layer only.
  * lb_chroot_layered: also snap_validate_seed after all snaps are seeded

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 13 Sep 2019 12:37:25 +0100

livecd-rootfs (2.610) eoan; urgency=medium

  * Fix a typo in the 999-ubuntu-image-customization.chroot hook.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 10 Sep 2019 17:35:00 +0200

livecd-rootfs (2.609) eoan; urgency=medium

  [ Ethan Hsieh ]
  * Add support for the Nitrogen6x board (LP: #1838064).

  [ Łukasz 'sil2100' Zemczak ]
  * Do not initialize EXTRA_SNAPS with an empty value. Allow overrides via the
    environment.
  * Make sure that currently all ubuntu-image built images ship the NoCloud
    system-boot clout-init datasource (as right now all u-i targets are
    physical devices).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 10 Sep 2019 10:46:28 +0200

livecd-rootfs (2.608) eoan; urgency=medium

  [ Iain Lane ]
  * snap_preseed: Handle SNAP_NO_VALIDATE_SEED being unset.

  [ Colin Watson ]
  * Use iptables-legacy rather than iptables when running on older
    (pre-4.15) kernel versions.  The newer nf_tables-based tools misbehave
    at least on 4.4.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 03 Sep 2019 15:35:17 +0100

livecd-rootfs (2.607) eoan; urgency=medium

  * snap seeding: Defer validation for regular image builds. When getting the
    list of snaps to include on an image via germinate, we process the snaps
    in alphabetical order. Currently we seed several packages `gnome-foo` and
    also `gtk-common-themes`, the default provider of `gtk-3-themes`. Since
    `gtk-common-themes` is alphabetically after `gnome-foo`, the `seed.yaml`
    we generate is invalid when we are part way through generating. What we
    really care about, though, is not that the `seed.yaml` is always valid at
    every step, but it is that it is valid at the *end* of seeding.  So for
    the germinate case, let's defer validation to happen once at the end.
    Other callsites of `snap_preseed`, where callers are careful to seed snaps
    in the right order, are unaffected by this.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 02 Sep 2019 14:22:49 +0100

livecd-rootfs (2.606) eoan; urgency=medium

  * Undivert update-initramfs more carefully: previously the wrapper script
    and diversion were left in place on images such as buildd images that
    don't have initramfs-tools installed (LP: #1841573).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Aug 2019 17:05:32 +0100

livecd-rootfs (2.605) eoan; urgency=medium

  [ David Krauser ]
  * KVM disk images should derive from the uefi image.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 26 Jul 2019 14:36:03 -0300

livecd-rootfs (2.604) eoan; urgency=medium

  * Stop installing the udisks2 and pulseaudio extra snaps for the UC18 kassel
    subflavor images - those snaps were only needed for internal testing
    purposes.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 23 Jul 2019 17:58:05 +0200

livecd-rootfs (2.603) eoan; urgency=medium

  [ Tobias Koch ]
  * Add retry logic to snap-tool to make downloads more resilient

  [ Robert C Jennings ]

