## livecd-rootfs 2.620.3

=== debian/changelog ===
livecd-rootfs (2.620.3) eoan; urgency=medium

  * Revert of initramfs package removal in KVM image (LP: #1880170)

 -- Phil Roche <phil.roche@canonical.com>  Fri, 22 May 2020 13:03:20 +0100

livecd-rootfs (2.620.2) eoan; urgency=medium

  * Fix logic to ensure snapd is seeded in core18-only images (LP: #1871919)

 -- Robert C Jennings <robert.jennings@canonical.com>  Wed, 15 Apr 2020 10:05:55 -0500

livecd-rootfs (2.620.1) eoan; urgency=medium

  * Use snap cli rather than custom snap-tool (LP: #1864252)

 -- Robert C Jennings <robert.jennings@canonical.com>  Tue, 25 Feb 2020 16:15:48 -0600
