=== debian/control ===
--- 
+++ 
@@ -31,6 +31,7 @@
          python3,
          python3-apt,
          python3-software-properties,
+         python3-yaml,
          qemu-utils,
          rsync,
          snapd (>= 2.39),
