## livecd-rootfs 2.664

=== debian/changelog ===
livecd-rootfs (2.664) focal; urgency=medium

  [ Patrick Viafore ]
  * Increase Vagrant disk size from 10G to 40G (LP: #1580596)

 -- Robert C Jennings <robert.jennings@canonical.com>  Fri, 17 Apr 2020 11:03:18 -0500

livecd-rootfs (2.663) focal; urgency=medium

  * Run snap info on the downloaded snap, rather than against the
    store. First of all snap info doesn't have --channel argument, thus
    queries the wrong channel, and depening on the cohort, a different
    snap might be visible too. Thus seed the base of the snap revision we
    dowanloaded, rather than some random one from the store.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 17 Apr 2020 00:10:41 +0100

livecd-rootfs (2.662) focal; urgency=medium

  * Print subiquity ssh login details on s390x line based consoles.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 16 Apr 2020 23:54:33 +0100

livecd-rootfs (2.661) focal; urgency=medium

  * Switch Ubuntu desktop to only hwe-20.04 kernel flavour.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 16 Apr 2020 01:30:36 +0100

livecd-rootfs (2.660) focal; urgency=medium

  * Remove dependencies on qemu-utils and snapd on riscv64, we don't have
    those yet, but at least we can be on parity with i386 livecd-rootfs
    already.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 12 Apr 2020 15:42:06 +0100

livecd-rootfs (2.659) focal; urgency=medium

  * Fix logic to ensure snapd is seeded in core18-only images (LP: #1871919)

 -- Robert C Jennings <robert.jennings@canonical.com>  Thu, 09 Apr 2020 14:16:40 -0500

livecd-rootfs (2.658) focal; urgency=medium

  * Remove some deprecated raspi2 special-casing, switch the main universal
    raspi SUBARCH to use the raspi KERNEL_FLAVOUR now that the kernel packages
    have been renamed.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 08 Apr 2020 10:03:21 +0200

livecd-rootfs (2.657) focal; urgency=medium

  * server: networkd applies the first sorted matching network file, thus
    prefix 'all' fallback networks with 'zz-'.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 03 Apr 2020 13:02:56 +0100

livecd-rootfs (2.656) focal; urgency=medium

  [ David Krauser ]
  * Safely set /etc/resolv.conf to an empty file in buildd images

 -- Robert C Jennings <robert.jennings@canonical.com>  Tue, 31 Mar 2020 09:56:13 -0500

livecd-rootfs (2.655) focal; urgency=medium

  * minimized: reinstall packages one by one, instead of all of them
    together, as otherwise apt fails to immediately configure libc6:amd64
    & libgcc-s1. LP: #1867607

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 16 Mar 2020 10:42:35 +0000

livecd-rootfs (2.654) focal; urgency=medium

  * Only install oem-20.04 kernel flavour on amd64, as it doesn't exist on
    other arches.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 13 Mar 2020 20:20:13 +0000

livecd-rootfs (2.653) focal; urgency=medium

  * Stop trying to extract autoinstall config during boot, subiquity will do
    it instead.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 11 Mar 2020 09:56:22 +1300

livecd-rootfs (2.652) focal; urgency=medium

  * Switch to using the generic pi gadget repo for classic builds. Use the
    generic branches instead of the 'classic' one as well, as this should now
    work for both core and classic.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 09 Mar 2020 09:52:30 +0100

livecd-rootfs (2.651) focal; urgency=medium

  * Do not start subiquity until cloud-final and snapd.seeded have
    completed.  (LP: #1863887)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 06 Mar 2020 17:07:37 +0100

livecd-rootfs (2.650) focal; urgency=medium

  * Support generating a .disk/info file via ubuntu-image from the passed-in
    datestamp parameter (using the $NOW environment variable).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 06 Mar 2020 11:12:12 +0100

livecd-rootfs (2.649) focal; urgency=medium

  * Fix autoinstall-extracting runcmd in the case no user-data is passed.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 05 Mar 2020 15:36:25 +0100

livecd-rootfs (2.648) focal; urgency=medium

  * Enable cloud-init in live server installer live session on all
    architectures.
  * Remove code for old design for getting autoinstall.yaml.
  * Add runcmd to extract autoinstall.yaml from user-data.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 04 Mar 2020 16:10:35 +0100

livecd-rootfs (2.647) focal; urgency=medium

  * Address snap base regression after snap-tool removal

 -- Robert C Jennings <robert.jennings@canonical.com>  Tue, 25 Feb 2020 16:15:48 -0600

livecd-rootfs (2.646) focal; urgency=medium

  * Pass --verbose to `snap info` so that it includes the base.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 24 Feb 2020 11:22:21 +0000

livecd-rootfs (2.645) focal; urgency=medium

  [ Robert C Jennings ]
  * Use snap cli rather than custom snap-tool

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 13:02:43 -0800

livecd-rootfs (2.644) focal; urgency=medium

  * Rename the raspi3 SUBARCH to raspi, as we generate universal generic pi
    images since long.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 21 Feb 2020 12:37:02 +0100

livecd-rootfs (2.643) focal; urgency=medium

  * subiquity:
    - drop ds-identify policy, not needed with improved cloud config
    - drop disabling network, doesn't work with ip=
    - fixup setting up the INSTALLER_ROOT mountpoint

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 10 Feb 2020 23:50:16 +0000

livecd-rootfs (2.642) focal; urgency=medium

  * Set uc20 image size to 10G.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 10 Feb 2020 12:43:44 +0000

livecd-rootfs (2.641) focal; urgency=medium

  * Configure a better nocloud datasource for subiquity cloud-init.
  * Encode CHANNEL specification in the UC20 model names.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 07 Feb 2020 22:18:11 +0000


