=== debian/control ===
--- 
+++ 
@@ -32,13 +32,13 @@
          python3-apt,
          python3-software-properties,
          python3-yaml,
-         qemu-utils,
+         qemu-utils [!i386 !riscv64],
          rsync,
-         snapd (>= 2.39),
+         snapd (>= 2.39) [!i386 !riscv64],
          squashfs-tools (>= 1:3.3-1),
          sudo,
          u-boot-tools [armhf arm64],
-         ubuntu-image,
+         ubuntu-image [!i386],
          python3-vmdkstream [amd64 i386],
          xz-utils,
          zerofree
