## livecd-rootfs 2.664.8

=== debian/changelog ===
livecd-rootfs (2.664.8) focal; urgency=medium

  Backport snap-preseed work from groovy to focal LP: #1896755

  [ Robert C Jennings ]
  * Apply snap-preseed optimizations after seeding snaps

  [ Dimitri John Ledkov ]
  * live-server: remove duplicate snaps, due to overlayfs vs snap-preseed.
  * apparmor: Add generic v5.4 kernel apparmor features
  * apparmor: mount more up-to-date apparmor features in the chroot.
  * seccomp: add more up-to-date seccomp actions
  * seccomp: mount more up-to-date seccomp features
  * apparmor: compile all profiles

  [ Robert C Jennings ]
  * Avoid rbind /sys for chroot snap pre-seeding (cgroups fail to unmount)

  [ Dimitri John Ledkov ]
  * auto/build: use setup|teardown_mountpoint to reduce duplication
  * functions: provide nss_systemd-less nsswitch.conf in chroots.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Oct 2020 10:33:02 +0100

livecd-rootfs (2.664.7) focal; urgency=medium

  [ Stanislav German-Evtushenko <giner> / John Chittum ]
  * Send Vagrant serial connection to NULL. (LP: #1874453)

 -- Robert C Jennings <robert.jennings@canonical.com>  Wed, 23 Sep 2020 13:32:32 -0500

livecd-rootfs (2.664.6) focal; urgency=medium

  [ Patrick Wu ]
  * Fix xrdp support in hyper-v images.  LP: #1890980.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 26 Aug 2020 14:06:31 -0700

livecd-rootfs (2.664.5) focal; urgency=medium

  [ Robert C Jennings ]
  * Handle seeded lxd snap with channel name for ubuntu-cpc:minimized
    (LP: #1889470)

  [ Cody Shepherd ]
  * Add dist-upgrade to bootable-buildd hook to ensure the built image
    doesn't contain vulnerable kernels or other packages.  LP: #1891061.
  * Don't explicitly install grub-efi-amd64-signed, it's a dependency of
    shim-signed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2020 12:39:27 -0700

livecd-rootfs (2.664.4) focal; urgency=medium

  * snap_preseed: support channel specification with snap name (LP: #1882374)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 23 Jul 2020 19:12:10 +0100

livecd-rootfs (2.664.3) focal; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Enable overrides of UC20 grade dangerous channels - as this is possible.
    (LP: #1879350)

  [ Iain Lane ]
  * Hack seeding of linux kernel in ubuntustudio/focal
    ubuntustudio-default-settings in focal release has a Recommends to this
    kernel, which makes it impossible to update the kernel later on, since we
    would install the -updates and release kernel, which isn't allowed and
    causes FTBFS. Hack out the focal-release kernel and let the rest of the
    build process pull in the right one. (LP: #1884915)

 -- Iain Lane <iain.lane@canonical.com>  Tue, 21 Jul 2020 16:25:18 +0100

livecd-rootfs (2.664.2) focal; urgency=medium

  * Revert of initramfs package removal in KVM image (LP: #1880170)

 -- Phil Roche <phil.roche@canonical.com>  Fri, 22 May 2020 13:03:20 +0100

livecd-rootfs (2.664.1) focal; urgency=medium

  * Bump only the UC20 pc image to 8GB, and keep Pi images as small as possible.
    (LP: #1875430)
  * ubuntu-image: fix focal+ pi images for armhf to use pi-armhf model name.
    (LP: #1876358)
  * ubuntu-image: drop ubuntu-image dep on riscv64, as not installable yet.
    (LP: #1876359)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 01 May 2020 20:08:23 +0100
