## livecd-rootfs 2.664.17

=== debian/changelog ===
livecd-rootfs (2.664.17) focal; urgency=medium

  [ David Krauser ]
  * buildd: produce kernel and initrd as separate artifacts LP: #1910557
  * buildd: call update-initramfs for all installed kernels
    We only have one kernel installed, so we don't need to
    specify an explicit version. LP: #1910557

  [ Dimitri John Ledkov ]
  * esp: install grub in ubuntu bootloader id path, instead of removable.
    (LP: #1912830)
  * esp: perform fsck. (LP: #1912835)
  * Perform fsck on all rootfs. (LP: #1912835)
  * functions: stop removing systemd-detect-virt unconditionally in undivert_grub
    (LP: #1902260)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 09 Feb 2021 00:52:00 +0000

livecd-rootfs (2.664.16) focal; urgency=medium

  [ Cody Shepherd ]
  * Produce manifests for buildd tarball images (LP: #1914445)

 -- Robert C Jennings <robert.jennings@canonical.com>  Fri, 05 Feb 2021 14:57:56 -0600

livecd-rootfs (2.664.15) focal; urgency=medium

  * Properly handle lowlatency-hwe-* (LP: #1914217)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 02 Feb 2021 11:39:11 +0100

livecd-rootfs (2.664.14) focal; urgency=medium

  * Actually also enable the hwe kernel for all flavours for 20.04.2
    (LP: #1914119)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 01 Feb 2021 22:17:01 +0100

livecd-rootfs (2.664.13) focal; urgency=medium

  * Enable the hwe variant for ubuntu-server-live (LP: #1913314)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 26 Jan 2021 15:47:43 +0100

livecd-rootfs (2.664.12) focal; urgency=medium

  * riscv64: backport HiFive unleashed & cloud-image building support
    (LP: #1903034)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 15 Jan 2021 17:07:20 +0000

livecd-rootfs (2.664.10) focal; urgency=medium

  * Do not hard-code the UC20 amd64 image size to 8GB as now ubuntu-image
    should be able to properly calculate the needed size itself.
  * But per discussion, we might want to keep the UC20 images a bit bigger than
    what's defined via the gadget/rootfs contents, to make sure writable is
    comfortably big enough. Use the same hard-coded value as for UC16 and UC18.
    (LP: #1905990)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 27 Nov 2020 17:58:38 +0100

livecd-rootfs (2.664.9) focal; urgency=medium

   [ John Chittum]
   * Backport Ensure toolsVersion set in vmdk header (LP: #1893898) 

   [ Dimitri John Ledkov & Joshua Powers ]
   * amd64: always install grub-pc with shim-signed (LP: #1901906), and
     ensure to autoremove packages

 -- Robert C Jennings <robert.jennings@canonical.com>  Fri, 20 Nov 2020 14:35:51 -0600
