## livecd-rootfs 2.664.18

=== debian/changelog ===
livecd-rootfs (2.664.18) focal; urgency=medium

  [ Patrick Viafore ]
  * Only try without initrd-less on replaced kernels, not all kernels
  * Provide a mechanism to detect initrd-less fallback (LP: #1870189)

 -- Robert C Jennings <robert.jennings@canonical.com>  Tue, 23 Feb 2021 14:45:23 -0600
