## livecd-rootfs 2.664.20

=== debian/changelog ===
livecd-rootfs (2.664.20) focal; urgency=medium

  [ Gauthier Jolly ]
  * ubuntu-cpc: secure esp mountpoint (LP: #1881006)
    Change mount option for ubuntu-cpc images from "defaults" to "umask=0077"
    ESP partitions might contain sensitive data and non-root users shouldn't
    have read access on it.

 -- Robert C Jennings <robert.jennings@canonical.com>  Sat, 10 Apr 2021 05:20:11 -0500

livecd-rootfs (2.664.19) focal; urgency=medium

  [ Patrick Viafore ]
  * Fix broken minimal cloud image boot on amd64 LP: #1920043

 -- Robert C Jennings <robert.jennings@canonical.com>  Mon, 22 Mar 2021 10:57:50 -0500
