## livecd-rootfs 2.664.29

=== debian/changelog ===
livecd-rootfs (2.664.29) focal; urgency=medium

  * Generate manifest for HyperV desktop image (LP: #1940136)

 -- Jason C. McDonald <codemouse92@outlook.com>  Wed, 15 Sep 2021 23:41:39 +1200

livecd-rootfs (2.664.28) focal; urgency=medium

  [ Brian Murray ]
  * Make sure we're using the 'classic' branch for the intel-iot gadget.
    (LP: #1938338)

  [ Łukasz 'sil2100' Zemczak ]
  * Add support for passing SUBPROJECT to classic ubuntu-image calls. This
    should fix running desktop-preinstalled builds. (LP: #1938338)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 16 Aug 2021 13:02:23 +0200

livecd-rootfs (2.664.27) focal; urgency=medium

  * And whoops, we missed adding ARCH in the SUBARCH ubuntu-image handling for
    intel-iot.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 04 Aug 2021 17:32:37 +0200

livecd-rootfs (2.664.26) focal; urgency=medium

  * Revert previous change of fixing /dev sharing - this causes weird
    autopkgtest issues.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 02 Aug 2021 22:13:03 +0200

livecd-rootfs (2.664.25) focal; urgency=medium

  [ Brian Murray ]
  * Add support for creating images (ubuntu-core and classic) with a kernel
    optimized for Intel IoT devices. (LP: #1938338)

  [ Michael Hudson-Doyle ]
  * Simplify how the subiquity client is run on the serial console in the live
    server environment, breaking a unit cycle that sometimes prevents
    subiquity from starting up at all. (LP: #1888497)
  * Do not set the password for the installer user via cloud-init as subiquity
    can now do this itself. (LP: #1933523)

  [ Łukasz 'sil2100' Zemczak ]
  * Fix sharing of the /dev tree to make sure we can safely umount the chroot
    when needed. This fixes local non-livefs-builder image builds.
    (LP: #1938414)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 29 Jul 2021 11:05:58 +0200

livecd-rootfs (2.664.24) focal; urgency=medium

  * Backport generalising of the riscv64 images from hirsute to support
    building separate unmatched and unleashed images in focal (LP: #1932014)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 15 Jun 2021 13:33:33 +0200

livecd-rootfs (2.664.23) focal; urgency=medium

  * Adding dependencies for Active Directory support (LP: #1921374)

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Thu, 20 May 2021 17:52:20 +0200

livecd-rootfs (2.664.22) focal; urgency=medium

  * Add grub config to produce console output and install lxd-agent loader
    to allow buildd vm images to work in lxd without requirement for manual
    installation (LP: #1915571)

 -- Cody Shepherd <cody.shepherd@canonical.com>  Thu, 20 May 2021 17:07:01 -0700

livecd-rootfs (2.664.21) focal; urgency=medium

  [ Thomas Bechtold ]
  * Add a new ubuntu-oci project that contains the customizations currently
    performed downstream for the official Ubuntu images on dockerhub.
    (LP: #1926732)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 11 May 2021 11:38:16 +1200
