## livecd-rootfs 2.664.39

=== debian/changelog ===
livecd-rootfs (2.664.39) focal; urgency=medium

  * Switch to building raspi classic images using the 'classic' branch instead
    of '18'. This is needed for proper Pi Zero 2 support (LP: #1960950).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 15 Feb 2022 18:59:05 +0100

livecd-rootfs (2.664.38) focal; urgency=medium

  * Add sleep due to e2fsck error in umount_partition. LP: #1960537

 -- Brian Murray <brian@ubuntu.com>  Thu, 10 Feb 2022 15:41:28 -0800

livecd-rootfs (2.664.37) focal; urgency=medium

  * Do not look for a base snap on snaps of type base, because recursive
    dependencies are not allowed for snaps.  LP: #1957123.
  * Treat it as a fatal error if we are asked to install a snap that would
    pull in the core snap.  Ubuntu 20.04 and Ubuntu 22.04 official images
    should never require snaps that depend on an Ubuntu 16.04 runtime, this
    indicates a misconfiguration that will bloat the install.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Jan 2022 16:16:18 -0800

livecd-rootfs (2.664.36) focal; urgency=medium

  * live-build/ubuntu-server/hooks/032-installer-squashfs.binary: be more
    careful in deleting snaps that snap-preseed has copied up into the live
    installer layer. (LP: #1952093)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 02 Dec 2021 12:05:00 +1300

livecd-rootfs (2.664.35) focal; urgency=medium

  [ Thomas Bechtold ]
  * magic-proxy: fix exception handling for URLError (LP: #1946520)

 -- Brian Murray <brian@ubuntu.com>  Thu, 18 Nov 2021 15:42:45 -0800

livecd-rootfs (2.664.34) focal; urgency=medium

  * Add the capability to build an ISO image for the Intel IoT project.
    Additionally, stop using universe with the project given that the kernel
    is now in main. (LP: #1951173)

 -- Brian Murray <brian@ubuntu.com>  Tue, 16 Nov 2021 17:18:59 -0800

livecd-rootfs (2.664.33) focal; urgency=medium

  * Install cloud-initramfs-growroot to actually enable rootfs resize.
  * Fix a grub error by making sure the unicode.pf2 font is installed in the
    right path for preinstalled amd64 desktop images.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 29 Oct 2021 15:33:34 +0200

livecd-rootfs (2.664.32) focal; urgency=medium

  * 099-ubuntu-image-customization.chroot: fix a typo in it.

 -- Brian Murray <brian@ubuntu.com>  Thu, 28 Oct 2021 11:12:32 -0700

livecd-rootfs (2.664.31) focal; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Add the 099-ubuntu-image-customization.chroot for
    desktop-preinstalled images similar to what we have in groovy+ (for the pi
    desktop), but improved for amd64 platforms. We need it to generate a valid
    grub.cfg on the rootfs (similar to ubuntu-cpc) and then use that instead
    of a static configuration locked on the boot partition (LP: #1949102).

  [ Brian Murray ]
  * Properly check ARCH when setting the intel-iot model.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 28 Oct 2021 17:35:12 +0200

livecd-rootfs (2.664.30) focal; urgency=medium

  [ Thomas Bechtold ]
  * magic-proxy: Replace http.client with urllib calls. live-build/auto/build:
    change iptables calls to query rules and quickly check that connectivity
    works after transparent proxy has been installed. (LP: #1917920)
  * magic-proxy: fix TypeError when trying to call get_uri() (LP: #1944906)

 -- Brian Murray <brian@ubuntu.com>  Thu, 21 Oct 2021 11:55:24 -0700
