## livecd-rootfs 2.664.46

=== debian/changelog ===
livecd-rootfs (2.664.46) focal; urgency=medium

  * Terrible hack workaround for clearing out the non-offline apt cache for
    desktop related images. Backported from jammy.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 16 Mar 2023 14:03:18 +0100

livecd-rootfs (2.664.45) focal; urgency=medium

  [ Samir Akarioh ]
  * feat: Add metadata on ubuntu-oci image. (LP: #1998229)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 12 Dec 2022 15:33:48 +0530

livecd-rootfs (2.664.44) focal; urgency=medium

  [ Michał Sawicz ]
  * ubuntu-buildd: Add arm64 buildd bootable image. (LP: #1966636) 

 -- jchittum <john.chittum@canonical.com>  Fri, 29 Jul 2022 09:57:57 +1200

livecd-rootfs (2.664.43) focal; urgency=medium

  * ubuntu-cpc: Install `shim-signed` and `grub-efi-arm64-signed` to
    enable secureboot on ARM64 images (LP: #1980358)

 -- Ivan Kapelyukhin <ivan.kapelyukhin@canonical.com>  Thu, 30 Jun 2022 14:06:30 +0200

livecd-rootfs (2.664.42) focal; urgency=medium

  * Switch intel-iot to use intel-iotg-edge, the 5.15 based IOTG kernel
    (LP: #1980065)
    - While at it, build using the main kernel meta, not just with
      linux-image-*
  * Add support for building live-server images for intel-iot (LP: #1980067)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 09 Jun 2022 16:46:37 +0200

livecd-rootfs (2.664.41) focal; urgency=medium

  [ Ivan Kapelyukhin ]
  * Split UEFI image out of `disk-image` series file into
    `disk-image-uefi`. (LP: #1961760)

  [ Thomas Bechtold ]
  * Optionally (when ALLOW_CORE_SNAP env var is set) allow to install
    core snap. Still needed by some CPC projects. (LP: #1964303)

 -- Thomas Bechtold <thomas.bechtold@canonical.com>  Fri, 04 Mar 2022 14:00:16 +0100

livecd-rootfs (2.664.40) focal; urgency=medium

  * Unset `initrdless_boot_fallback_triggered` in /boot/grub/grubenv instead
    of setting it to 0 when the fallback is not triggered to prevent integrity
    monitoring errors on GCE. (LP: #1960564)

 -- Ivan Kapelyukhin <ivan.kapelyukhin@canonical.com>  Mon, 14 Feb 2022 21:32:01 +0100
